py-crypto and py-cryptodome conflict.
Resolve these problems by switching to py-cryptodome:
1. py-crypto isn't maintained:
https://github.com/dlitz/pycrypto/pull/256 still open!

2. py-cryptodome is a near drop-in replacement.

Index: Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/ansible/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- Makefile	3 Jul 2018 05:03:33 -0000	1.22
+++ Makefile	12 Nov 2018 23:39:27 -0000
@@ -1,7 +1,7 @@
 # $NetBSD: Makefile,v 1.22 2018/07/03 05:03:33 adam Exp $
 
 DISTNAME=	ansible-1.9.4
-PKGREVISION=	2
+PKGREVISION=	3
 #PKGNAME=   ${PYPKGPREFIX}-${DISTNAME} # XXX: for when package is py3x-ready
 CATEGORIES=	python sysutils
 MASTER_SITES=	http://releases.ansible.com/ansible/
@@ -14,7 +14,7 @@
 DEPENDS+=	${PYPKGPREFIX}-yaml-[0-9]*:../../textproc/py-yaml
 DEPENDS+=	${PYPKGPREFIX}-paramiko-[0-9]*:../../security/py-paramiko
 DEPENDS+=	${PYPKGPREFIX}-jinja2-[0-9]*:../../textproc/py-jinja2
-DEPENDS+=	${PYPKGPREFIX}-crypto>=2.6:../../security/py-crypto
+DEPENDS+=	${PYPKGPREFIX}-cryptodome-[0-9]*:../../security/py-cryptodome
 
 USE_TOOLS+=	gmake
 EGDIR=		${PREFIX}/share/examples/ansible
Index: distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/sysutils/ansible/distinfo,v
retrieving revision 1.13
diff -u -r1.13 distinfo
--- distinfo	7 Aug 2017 17:56:13 -0000	1.13
+++ distinfo	12 Nov 2018 23:39:27 -0000
@@ -12,6 +12,7 @@
 SHA1 (patch-docs_man_man1_ansible-playbook-asciidoc) = 48c0209fdbf62569043408a352330b844dbbcc93
 SHA1 (patch-examples_ansible) = aa6bda94e658f882add389d2318cdffc79caafa2
 SHA1 (patch-examples_hosts) = c2a34131b3f24c1322ce5645a378ef9949420421
+SHA1 (patch-lib_ansible.egg-info_requires.txt) = f73248f4cc60b8f93b23c5a5e199b7e06aa33ec9
 SHA1 (patch-lib_ansible_callbacks) = bdcec47047b5361012472f6276df21618cc664bb
 SHA1 (patch-lib_ansible_constants) = a5b234e7995914660d70a5dd4db3ec4a9ed20132
 SHA1 (patch-lib_ansible_modules_core_system_ping) = 1b91dbdb74e8cfc5e0bf99628e5ebb4bbd54dead
@@ -19,6 +20,9 @@
 SHA1 (patch-lib_ansible_modules_extras_database_misc_riak) = cec7d7c38810644938ac5ddca351dbcce96472d6
 SHA1 (patch-lib_ansible_modules_extras_monitoring_nagios) = d17d2a7424712924b9600fe4d0c5842503fcf4f2
 SHA1 (patch-lib_ansible_modules_extras_packaging_os_pkgin) = a8e2be00ff309be676435b7333e9b9ceebaba810
+SHA1 (patch-lib_ansible_utils_vault.py) = c5b09c8f7b6269d6203d8d6d0062bb86ba4ec54f
 SHA1 (patch-plugins_README) = 84f4b9b16363157ad0b223c00e8c1b10c43479da
 SHA1 (patch-plugins_inventory_cobbler) = 885165d2b30de20120977490dfc1b92db4799f5f
 SHA1 (patch-plugins_inventory_collins) = 3ec96844fe1a382e68676ec3c8a6eb662d892db1
+SHA1 (patch-plugins_inventory_gce.py) = 12fae088bad5e07db247a42b9c5448ed8716c1d8
+SHA1 (patch-setup.py) = cf1f1039d16bc419fb7b3b4d3d312abcef2a0c85
Index: patches/patch-lib_ansible.egg-info_requires.txt
===================================================================
RCS file: patches/patch-lib_ansible.egg-info_requires.txt
diff -N patches/patch-lib_ansible.egg-info_requires.txt
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-lib_ansible.egg-info_requires.txt	12 Nov 2018 23:39:27 -0000
@@ -0,0 +1,13 @@
+$NetBSD$
+
+Require pycryptodome, not pycrypto
+
+--- lib/ansible.egg-info/requires.txt.orig	2015-10-10 02:08:25.000000000 +0000
++++ lib/ansible.egg-info/requires.txt
+@@ -2,4 +2,4 @@ paramiko
+ jinja2
+ PyYAML
+ setuptools
+-pycrypto >= 2.6
+\ No newline at end of file
++pycryptodome
Index: patches/patch-lib_ansible_utils_vault.py
===================================================================
RCS file: patches/patch-lib_ansible_utils_vault.py
diff -N patches/patch-lib_ansible_utils_vault.py
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-lib_ansible_utils_vault.py	12 Nov 2018 23:39:27 -0000
@@ -0,0 +1,15 @@
+$NetBSD$
+
+Upstreamable version of suggesting py-cryptodome instead of py-crypto
+
+--- lib/ansible/utils/vault.py.orig	2015-10-10 02:08:19.000000000 +0000
++++ lib/ansible/utils/vault.py
+@@ -69,7 +69,7 @@ try:
+ except ImportError:
+     HAS_AES = False    
+ 
+-CRYPTO_UPGRADE = "ansible-vault requires a newer version of pycrypto than the one installed on your platform. You may fix this with OS-specific commands such as: yum install python-devel; rpm -e --nodeps python-crypto; pip install pycrypto"
++CRYPTO_UPGRADE = "ansible-vault requires a newer version of pycryptodome than the one installed on your platform. You may fix this with OS-specific commands such as: yum install python-devel; rpm -e --nodeps python-cryptodome; pip install pycryptodome"
+ 
+ HEADER='$ANSIBLE_VAULT'
+ CIPHER_WHITELIST=['AES', 'AES256']
Index: patches/patch-plugins_inventory_gce.py
===================================================================
RCS file: patches/patch-plugins_inventory_gce.py
diff -N patches/patch-plugins_inventory_gce.py
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-plugins_inventory_gce.py	12 Nov 2018 23:39:27 -0000
@@ -0,0 +1,15 @@
+$NetBSD$
+
+Require pycryptodome.
+
+--- plugins/inventory/gce.py.orig	2015-10-10 02:08:19.000000000 +0000
++++ plugins/inventory/gce.py
+@@ -72,7 +72,7 @@ Author: Eric Johnson <erjohnso@google.co
+ Version: 0.0.1
+ '''
+ 
+-__requires__ = ['pycrypto>=2.6']
++__requires__ = ['pycryptodome']
+ try:
+     import pkg_resources
+ except ImportError:
Index: patches/patch-setup.py
===================================================================
RCS file: patches/patch-setup.py
diff -N patches/patch-setup.py
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-setup.py	12 Nov 2018 23:39:27 -0000
@@ -0,0 +1,15 @@
+$NetBSD$
+
+Switch to pycryptodome.
+
+--- setup.py.orig	2015-10-10 02:08:19.000000000 +0000
++++ setup.py
+@@ -21,7 +21,7 @@ setup(name='ansible',
+       author_email='michael@ansible.com',
+       url='http://ansible.com/',
+       license='GPLv3',
+-      install_requires=['paramiko', 'jinja2', "PyYAML", 'setuptools', 'pycrypto >= 2.6'],
++      install_requires=['paramiko', 'jinja2', "PyYAML", 'setuptools', 'pycryptodome'],
+       package_dir={ '': 'lib' },
+       packages=find_packages('lib'),
+       package_data={
